View a markdown version of this page

ListActorMessages - AWS Security Agent

ListActorMessages

Returns a paginated list of the email MFA messages received for an actor at its server-generated email address, most recent first.

Request Syntax

POST /ListActorMessages HTTP/1.1 Content-type: application/json { "actorIdentifier": "string", "agentSpaceId": "string", "maxResults": number, "nextToken": "string", "pentestId": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

actorIdentifier

The identifier of the actor whose messages to list. The identifier is case-insensitive.

Type: String

Required: Yes

agentSpaceId

The unique identifier of the agent space that owns the pentest.

Type: String

Required: Yes

maxResults

The maximum number of results to return in a single call.

Type: Integer

Required: No

nextToken

A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.

Type: String

Required: No

pentestId

The unique identifier of the pentest that the actor belongs to.

Type: String

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "messages": [ { "body": "string", "receivedAt": "string", "sender": "string", "subject": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

messages

The list of messages received for the actor, most recent first.

Type: Array of ActorMessage objects

nextToken

A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: